API reference
List sessions
Your team's sessions in the key's mode, newest first. Pass the last `id` as `starting_after` for the next page.
GET
Your team's sessions in the key's mode, newest first. Pass the last id as starting_after for the next page.
apiKeyheader
AuthorizationBearer <token>Your API key, starting with upsky_test_ or upsky_live_.
limit?integerRange
1 <= value <= 100Default
20starting_after?stringFormat
uuidstatus?stringValue in
"pending""in_progress""processing""approved""rejected""needs_review""expired""canceled"The sessions.
application/json- response
object*"list"Value in
"list"data*array<>has_more*booleancurl -X GET 'https://api.upsky.dev/v1/verify/sessions'Example Response
{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "verify.session", "livemode": true, "tier": "age", "status": "pending", "url": "string", "reference": "string", "metadata": { "property1": "string", "property2": "string" }, "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "return_url": "string", "minimum_age": 0, "allow_selfie_upload": true, "show_result": true, "thresholds": { "preset": "relaxed", "liveness_pass": 0, "liveness_review": 0, "face_match_pass": 0, "face_match_review": 0, "age_buffer_years": 0 }, "options": { "documents": { "allowed_types": [ "mx_ine" ], "allowed_countries": [ "string" ], "max_attempts": 0 }, "rules": { "liveness_inconclusive": "reject", "age_inconclusive": "reject", "document_unreadable": "reject", "document_expired": "reject", "document_checksum_failed": "reject", "document_type_mismatch": "reject", "document_country_not_accepted": "reject", "date_of_birth_missing": "reject", "face_match_inconclusive": "reject", "age_estimate_mismatch": "reject", "name_mismatch": "reject", "date_of_birth_mismatch": "reject" }, "retention_days": 0 }, "reasons": [ "liveness_failed" ], "checks": { "liveness": { "status": "passed", "confidence": 0, "feedback": [ "face_not_visible" ] }, "age": { "status": "passed", "minimum_age": 0, "estimated_low": 0, "estimated_high": 0, "estimated_age": 0, "age_from_document": 0 }, "document": { "status": "passed", "document_type": "mx_ine", "expired": true, "checksums_valid": true, "type_matches": true, "country_accepted": true }, "face_match": { "status": "passed", "similarity": 0 }, "data_match": { "status": "passed", "first_name": "match", "last_name": "match", "date_of_birth": "match" } }, "document_type": "mx_ine", "verified_outputs": { "first_name": "string", "last_name": "string", "date_of_birth": "string", "document_type": "mx_ine", "document_number": "string", "issuing_country": "string", "expires_on": "string" }, "expires_at": "string", "created_at": "string", "started_at": "string", "submitted_at": "string", "decided_at": "string", "reviewed_at": "string", "redacted_at": "string" } ], "has_more": true}Get a session GET
Returns a session, with what was read from the ID once it's decided.
Redact a session POST
Deletes everything about the person from a session that has ended, right away: the photos, what was read from the ID, the `expected` data, and your `reference`, `metadata` and `return_url`. The status, reasons and checks stay as your record. It can't be undone. Redacting a session twice changes nothing.